#include "Testsingleton.h"
#include "core/CoreIncludes.h"
#include "core/singleton/ScopedSingletonIncludes.h"

namespace orxonox
{
    ManageScopedSingleton(Testsingleton, ScopeID::ROOT, false);

    RegisterAbstractClass(Testsingleton).inheritsFrom<Listable>();

    Testsingleton::Testsingleton()
    {
        RegisterObject(Testsingleton);

        this->value_ = 999;
    }
}
